const { Client } = require('pg');

const local = false;
// Connexion à la base de données PostgreSQL
const client = new Client({
  host: local ? 'mikoshi' : '172.30.0.2',
  port: local ? 54322 : 5432,
  user: 'timelapse',
  password: 'timelapse',
  database: 'timelapse'
});

function connectWithRetry() {
  client.connect(err => {
    if (err) {
      console.error('Erreur de connexion à la base de données:', err);
      setTimeout(connectWithRetry, 30000); // Réessayer après 30 secondes
    } else {
      console.log('[DB] Connecté à la base de données PostgreSQL.');
    }
  });
}

connectWithRetry();
module.exports = client;